API Updater says update is required every time unity 2019 is started

2019.1.2
Each time I launch my project I get the API Update Required notification.

I run it and it completes without problems after a minute or so, but it happens every time I open the project. Each time I get the confirmation notice as well. (Finished updating scripts / assemblies)

I had the same problem and was able to resolve this by opening Package Manager and updating any packages that have the update icon. You probably only need to update the packages you have loaded in your project, but you should just update all anyway.